> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve A Webhook

GET a single Webhook by its ID.


## OpenAPI

````yaml GET /api/v1/webhooks/{id}
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/webhooks/{id}:
    get:
      summary: GET webhooks
      operationId: get_webhooks_self
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhooks'
          description: OK
components:
  schemas:
    webhooks:
      properties:
        $uri:
          example: /api/v1/webhooks/0d77065796f8d173
          pattern: ^/api/v1/webhooks/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        api_version:
          title: Api Version
          type: string
        created_at:
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
          format: date-time
          title: Created At
          type: string
        enabled:
          title: Enabled
          type: boolean
        event_type:
          title: Event Type
          type: string
        post_url:
          title: Post Url
          type: string
      required:
        - $uri
        - api_version
        - created_at
        - enabled
        - event_type
        - post_url
      title: webhooks
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````